# These are the defined variables used in all the modules. They are referenced in the modules, and defined here.
# This is where you would change any variable values.

# variables for networks and router 
variable "admin_state_up" {default = true}
variable "enable_dhcp" {default = true}

# variable for floating-ip - also used in exrernal network creation
variable "public_network_name" {default = "uab-campus"}
 
# variables for keypair module
variable "keypair_name" {default = "os-gen-keypair"}
variable "ssh_public_key" {default = "~/.ssh/id_rsa.pub"}
 
# variables for instance modules
variable "ohpc_instance_name" {default = "ohpc"}
variable "ohpc_private_ip" {default = "10.1.1.10"}
variable "ood_instance_name" { default = "ood"}
variable "image_ohpc" {default = "xdmod-20230614063844"}
variable "image_ood" {default = ""}
variable "ood_private_ip" {default = "10.1.1.11"}
variable "flavor" {default = "m1.xlarge"}
variable "internal_network" {default = "clusternet"}
variable "external_network" {default = "dmznet"}
variable "ohpc_user" {default = "centos"}
variable "ood_user" {default = "centos"}
variable "ssh_private_key" {default = "~/.ssh/id_rsa"}
variable "data_volume" {default = ""}

# variables for node creation module
variable "image_compute" {default = "compute-v1"}
variable "compute_node_count" {default = 1}
